/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Agency
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Agency {
  @SerializedName("name")
  private String name = null;

  @SerializedName("address")
  private Model57 address = null;

  @SerializedName("phone")
  private Model58 phone = null;

  public Agency name(String name) {
    this.name = name;
    return this;
  }

   /**
   * Name of the agency.
   * @return name
  **/
  @ApiModelProperty(value = "Name of the agency.")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Agency address(Model57 address) {
    this.address = address;
    return this;
  }

   /**
   * Get address
   * @return address
  **/
  @ApiModelProperty(value = "")
  public Model57 getAddress() {
    return address;
  }

  public void setAddress(Model57 address) {
    this.address = address;
  }

  public Agency phone(Model58 phone) {
    this.phone = phone;
    return this;
  }

   /**
   * Get phone
   * @return phone
  **/
  @ApiModelProperty(value = "")
  public Model58 getPhone() {
    return phone;
  }

  public void setPhone(Model58 phone) {
    this.phone = phone;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Agency agency = (Agency) o;
    return Objects.equals(this.name, agency.name) &&
        Objects.equals(this.address, agency.address) &&
        Objects.equals(this.phone, agency.phone);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, address, phone);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Agency {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("    phone: ").append(toIndentedString(phone)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

